Import credits
curl --request POST \
--url https://api.letsdothis.com/v0/credits/import \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"credits": [
{
"externalCreditId": "<string>",
"emailAddress": "<string>",
"creditValue": 2,
"expiresAt": "2026-05-08T11:30:00.000Z",
"eventId": "<string>",
"eventOccurrenceId": "<string>"
}
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
credits: [
{
externalCreditId: '<string>',
emailAddress: '<string>',
creditValue: 2,
expiresAt: '2026-05-08T11:30:00.000Z',
eventId: '<string>',
eventOccurrenceId: '<string>'
}
]
})
};
fetch('https://api.letsdothis.com/v0/credits/import', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.letsdothis.com/v0/credits/import"
payload = { "credits": [
{
"externalCreditId": "<string>",
"emailAddress": "<string>",
"creditValue": 2,
"expiresAt": "2026-05-08T11:30:00.000Z",
"eventId": "<string>",
"eventOccurrenceId": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"jobId": "6628293a4b5c6d7e8f901a2b",
"status": "queued"
}{
"statusCode": 400,
"error": "<string>",
"message": "<string>"
}{
"statusCode": 409,
"error": "<string>",
"message": "<string>"
}{
"statusCode": 413,
"error": "<string>",
"message": "<string>"
}{
"error": "validation_failed",
"message": "<string>",
"totalRows": 123,
"rowsWithErrors": 123,
"errorCount": 123,
"summary": [
{
"code": "<string>",
"count": 123,
"message": "<string>",
"examples": [
{
"rowIndex": 123,
"externalCreditId": "<string>",
"value": "<string>"
}
],
"fieldId": "<string>"
}
],
"errors": [
{
"rowIndex": 123,
"errors": [
{
"code": "<string>",
"message": "<string>",
"fieldId": "<string>"
}
],
"externalCreditId": "<string>"
}
],
"truncated": true
}{
"statusCode": 429,
"error": "<string>",
"message": "<string>"
}Credits
Import credits
Imports a batch of participant credits, created in the background as a job you poll. See how imports work.
Each externalCreditId is imported once. Sending it again leaves the original credit unchanged and reports alreadyImported.
POST
/
v0
/
credits
/
import
Import credits
curl --request POST \
--url https://api.letsdothis.com/v0/credits/import \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"credits": [
{
"externalCreditId": "<string>",
"emailAddress": "<string>",
"creditValue": 2,
"expiresAt": "2026-05-08T11:30:00.000Z",
"eventId": "<string>",
"eventOccurrenceId": "<string>"
}
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
credits: [
{
externalCreditId: '<string>',
emailAddress: '<string>',
creditValue: 2,
expiresAt: '2026-05-08T11:30:00.000Z',
eventId: '<string>',
eventOccurrenceId: '<string>'
}
]
})
};
fetch('https://api.letsdothis.com/v0/credits/import', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.letsdothis.com/v0/credits/import"
payload = { "credits": [
{
"externalCreditId": "<string>",
"emailAddress": "<string>",
"creditValue": 2,
"expiresAt": "2026-05-08T11:30:00.000Z",
"eventId": "<string>",
"eventOccurrenceId": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"jobId": "6628293a4b5c6d7e8f901a2b",
"status": "queued"
}{
"statusCode": 400,
"error": "<string>",
"message": "<string>"
}{
"statusCode": 409,
"error": "<string>",
"message": "<string>"
}{
"statusCode": 413,
"error": "<string>",
"message": "<string>"
}{
"error": "validation_failed",
"message": "<string>",
"totalRows": 123,
"rowsWithErrors": 123,
"errorCount": 123,
"summary": [
{
"code": "<string>",
"count": 123,
"message": "<string>",
"examples": [
{
"rowIndex": 123,
"externalCreditId": "<string>",
"value": "<string>"
}
],
"fieldId": "<string>"
}
],
"errors": [
{
"rowIndex": 123,
"errors": [
{
"code": "<string>",
"message": "<string>",
"fieldId": "<string>"
}
],
"externalCreditId": "<string>"
}
],
"truncated": true
}{
"statusCode": 429,
"error": "<string>",
"message": "<string>"
}This endpoint is restricted and not generally available: organizations that have not been enabled receive a
403. Contact your Let’s Do This representative if you’d like access.Authorizations
Body
application/json
Was this page helpful?

